## ros-noetic-rqt-py-trees 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_py_trees)
set(CMAKE_CXX_FLAGS "-g ${CMAKE_CXX_FLAGS}")
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED py_trees_msgs rqt_bag)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_py_trees
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-py-trees (0.4.1-1buster) buster; urgency=high

  * bugfix a python2->3 iterator->list generator in dynamic_timeline
  * provide a --topic argument on the command line

 -- Michal Staniaszek <m.staniaszek@gmail.com>  Sun, 09 May 2021 04:00:00 -0000

ros-noetic-rqt-py-trees (0.4.0-1buster) buster; urgency=high

  * python3 and noetic upgrades

 -- Michal Staniaszek <m.staniaszek@gmail.com>  Mon, 03 Aug 2020 04:00:00 -0000

ros-noetic-rqt-py-trees (0.3.1-1buster) buster; urgency=high

  * add missing python-pygraphviz dependency

 -- Michal Staniaszek <m.staniaszek@gmail.com>  Tue, 11 Apr 2017 04:00:00 -0000

ros-noetic-rqt-py-trees (0.3.0-1buster) buster; urgency=high

  * getting ready for first kinetic release

 -- Michal Staniaszek <m.staniaszek@gmail.com>  Thu, 02 Mar 2017 05:00:00 -0000

ros-noetic-rqt-py-trees (0.2.0-1buster) buster; urgency=high

  * drop 'd' as an option since rqt stole it
  * parallels and choosers now draw notes and double octagons like dot graphs

 -- Michal Staniaszek <m.staniaszek@gmail.com>  Fri, 13 Jan 2017 05:00:00 -0000

ros-noetic-rqt-py-trees (0.1.0-1buster) buster; urgency=high

  * initial import from Yujin

 -- Michal Staniaszek <m.staniaszek@gmail.com>  Thu, 25 Aug 2016 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-rqt-py-trees
Section: misc
Priority: optional
Maintainer: Michal Staniaszek <m.staniaszek@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-mock, ros-noetic-catkin, ros-noetic-py-trees, ros-noetic-py-trees-msgs, ros-noetic-rqt-bag
Homepage: http://ros.org/wiki/rqt_py_trees
Standards-Version: 3.9.2

Package: ros-noetic-rqt-py-trees
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-pygraphviz, python3-rospkg, python3-termcolor, ros-noetic-geometry-msgs, ros-noetic-py-trees, ros-noetic-py-trees-msgs, ros-noetic-qt-dotgraph, ros-noetic-rospy, ros-noetic-rqt-bag, ros-noetic-rqt-graph, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-unique-id
Description: rqt_py_trees provides a GUI plugin for visualizing py_trees behaviour trees based on rqt_tf_tree.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-py-trees//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
